Subject: Re: Passive OS fingerprint xtables match.

From: Patrick McHardy <[email-masked]>
Date: Thu, 26 Mar 2009 16:08:07 +0100

Evgeniy Polyakov wrote:
> On Thu, Mar 26, 2009 at 03:18:46PM +0100, Patrick McHardy ([email-masked]) wrote:
>> Evgeniy Polyakov wrote:
>>> +static void xt_osf_send_connector(const struct xt_osf_user_finger *f,
>>> +				   const struct sk_buff *skb)
>>> +{
>>> +#if 1
>>> +	return;
>>> +#else
>> Please get rid of the connector remains.
>>
>> The decision whether to still merge it in this window is up to Dave.
>> I already have some late-comers queued up that I hope to still get
>> in and I don't want to unnecessarily decrease my chances :)
> 
> I left that chunk to the case when we will want to send notifications to
> the userspace, right now we do not , so it is commented. And yes, names
> were not changed :)

nfnetlink also supports notifications. Please get rid of this,
it should be no problem to resurrect the necessary parts later
if this is desired.

> If Dave will refuse to pull it, please queue it into the netfilter tree
> for the next merge window update, since I will miss it almost for sure.

Will do.